Subject: [alpine-aports] [PATCH 1/4] testing/perl-test-simple: remove man pages

From: Sören Tempel <[email-masked]>
Date: Fri, 29 Jan 2016 23:39:01 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-test-simple-doc should thus result in a conflict.
---
 testing/perl-test-simple/APKBUILD | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/testing/perl-test-simple/APKBUILD b/testing/perl-test-simple/APKBUILD
index 64b42e5..6229b87 100644
--- a/testing/perl-test-simple/APKBUILD
+++ b/testing/perl-test-simple/APKBUILD
@@ -4,7 +4,7 @@
 pkgname=perl-test-simple
 pkgver=1.001014
 _pkgreal=Test-Simple-$pkgver
-pkgrel=0
+pkgrel=1
 pkgdesc="Basic utilities for writing tests."
 url="http://search.cpan.org/dist/Test-Simple/"
 arch="noarch"
@@ -13,11 +13,10 @@ cpandepends=""
 cpanmakedepends=""
 depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
-subpackages="$pkgname-doc"
+subpackages=""
 source="http://search.cpan.org/CPAN/authors/id/E/EX/EXODIST/$_pkgreal.tar.gz"
 
 _builddir="$srcdir/$_pkgreal"
-
 prepare() {
 	cd "$_builddir"
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
@@ -32,6 +31,9 @@ package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf "$pkgdir"/usr/share/man || return 1
 }
 
 md5sums="db7f57fd595e3e1c93c972307a88fa6e  Test-Simple-1.001014.tar.gz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Fri, 29 Jan 2016 23:39:02 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-io-compress-doc should thus result in a conflict.
---
 main/perl-io-compress/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/main/perl-io-compress/APKBUILD b/main/perl-io-compress/APKBUILD
index 5fcd5a2..5cf9329 100644
--- a/main/perl-io-compress/APKBUILD
+++ b/main/perl-io-compress/APKBUILD
@@ -3,7 +3,7 @@
 pkgname=perl-io-compress
 _realname=IO-Compress
 pkgver=2.069
-pkgrel=0
+pkgrel=1
 pkgdesc="Perl compression library"
 url="http://search.cpan.org/dist/IO-Compress/"
 arch="noarch"
@@ -32,6 +32,9 @@ package() {
 
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="b26925161e3f01919f60344d1bbb49c4  IO-Compress-2.069.tar.gz"
-- 
2.7.0

---

---

From: Sören Tempel <[email-masked]>
Date: Fri, 29 Jan 2016 23:39:03 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-compress-raw-zlib-doc should thus result in a conflict.
---
 main/perl-compress-raw-zlib/APKBUILD | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/main/perl-compress-raw-zlib/APKBUILD b/main/perl-compress-raw-zlib/APKBUILD
index 398aa34..4fa9164 100644
--- a/main/perl-compress-raw-zlib/APKBUILD
+++ b/main/perl-compress-raw-zlib/APKBUILD
@@ -3,7 +3,7 @@
 pkgname=perl-compress-raw-zlib
 _realname=Compress-Raw-Zlib
 pkgver=2.069
-pkgrel=0
+pkgrel=1
 pkgdesc="Perl low-level interface to zlib compression library"
 url="http://search.cpan.org/dist/Compress-Raw-Zlib/"
 arch="all"
@@ -11,11 +11,10 @@ license="GPL PerlArtistic"
 depends="perl"
 makedepends="perl-dev"
 install=
-subpackages="$pkgname-doc"
+subpackages=""
 source="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/${_realname}-${pkgver}.tar.gz"
 
 _builddir="$srcdir/$_realname-$pkgver"
-
 build() {
 	cd $_builddir
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
@@ -28,6 +27,9 @@ package() {
 	make DESTDIR="$pkgdir" install
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="c1f99178e6e29b0037785afa6d8bbcff  Compress-Raw-Zlib-2.069.tar.gz"
-- 
2.7.0

---

---

From: Sören Tempel <[email-masked]>
Date: Fri, 29 Jan 2016 23:39:04 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-compress-raw-bzip2-doc should thus result in a conflict.
---
 main/perl-compress-raw-bzip2/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/main/perl-compress-raw-bzip2/APKBUILD b/main/perl-compress-raw-bzip2/APKBUILD
index cd5a0c1..5111088 100644
--- a/main/perl-compress-raw-bzip2/APKBUILD
+++ b/main/perl-compress-raw-bzip2/APKBUILD
@@ -3,7 +3,7 @@
 pkgname=perl-compress-raw-bzip2
 _realname=Compress-Raw-Bzip2
 pkgver=2.035
-pkgrel=6
+pkgrel=7
 pkgdesc="Perl low-level interface to bzip2 compression library"
 url="http://search.cpan.org/~pmqs/Compress-Raw-Bzip2-2.024/"
 arch="all"
@@ -28,6 +28,9 @@ package() {
 	make DESTDIR="$pkgdir" install
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# remove man pages already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="573c84ca4c7f8b3dd42bdea7a7bc5c6a  Compress-Raw-Bzip2-2.035.tar.gz"
-- 
2.7.0

---